> ## Documentation Index
> Fetch the complete documentation index at: https://docs.creatify.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Asset Generator items

> Retrieve a list of videos, with an optional ids param to filter vdieo by their UUIDs.



## OpenAPI

````yaml get /api/asset_generator/
openapi: 3.0.3
info:
  title: creatify.ai API
  version: 1.0.0
  description: API for creatify.ai
servers: []
security: []
paths:
  /api/asset_generator/:
    get:
      tags:
        - asset_generator
      description: >-
        Retrieve a list of videos, with an optional ids param to filter vdieo by
        their UUIDs.
      operationId: asset_generator_list
      parameters:
        - in: query
          name: ids
          schema:
            type: string
            minLength: 1
          description: >-
            Comma-separated list of UUIDs to filter. Maximum 100 entries
            allowed.
      responses:
        '200':
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/APIAIToolsFlowAsset'
          description: ''
      security:
        - X-API-ID: []
          X-API-KEY: []
components:
  schemas:
    APIAIToolsFlowAsset:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        model_name:
          type: string
          readOnly: true
          description: Name of the AI generation model used.
        gen_type:
          type: string
          description: Type of the AI generation model used.
        status:
          $ref: '#/components/schemas/APIAIToolsFlowAssetStatusEnum'
        failed_reason:
          type: string
          readOnly: true
          description: Reason for failure if the generation failed.
        assets:
          type: string
          readOnly: true
          description: List of generated assets.
        aspect_ratio:
          type: string
          nullable: true
          description: Aspect ratio of the asset
          maxLength: 128
        output_nums:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          description: Number of outputs
        duration:
          type: integer
          readOnly: true
        resolution:
          type: string
          nullable: true
          description: e.g., 1080x1920
          maxLength: 128
        input_params:
          type: object
          additionalProperties: true
          readOnly: true
          description: Input parameters used for AI generation.
        webhook_url:
          type: string
          format: uri
          nullable: true
          description: Webhook URL for status updates. Default is null.
          maxLength: 200
        credits_used:
          type: number
          description: Credits used in this API call
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Created date
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Updated date
      required:
        - assets
        - created_at
        - credits_used
        - duration
        - failed_reason
        - gen_type
        - id
        - input_params
        - model_name
        - updated_at
    APIAIToolsFlowAssetStatusEnum:
      enum:
        - initializing
        - generating
        - done
        - failed
      type: string
      description: |-
        * `initializing` - initializing
        * `generating` - generating
        * `done` - done
        * `failed` - failed
  securitySchemes:
    X-API-ID:
      type: apiKey
      in: header
      name: X-API-ID
      description: API ID, from your settings page.
    X-API-KEY:
      type: apiKey
      in: header
      name: X-API-KEY
      description: API Key, from your settings page.

````